#ifndef OmSourceTableDlg_h
#define OmSourceTableDlg_h
#include <qapplication.h>

#include <qdialog.h>

#include "OmSourcePrint.h"

class QTable;

class OmSourceButton;
class QPrinter;
class QPainter;
class QFontMetrics;
class  QPaintDeviceMetrics;

class TableDlg : public QDialog, OmSourcePrint
{
    Q_OBJECT
public:


         
private slots:
    
    void selectionChanged(int row, int col);
    void deleteList();
    void printTable();



 signals:
    void selectionChanged(int row);
    void deleteSourceList();

    
public:
    TableDlg(QWidget *parent);

    void Print(QPrinter* printer, QPainter* p,  
			 QFontMetrics* fm,  QPaintDeviceMetrics* metrics);



 private:
   
   
    void load();    
    QTable *_table;

    OmSourceButton*     _printSourceListBtn;
    OmSourceButton*     _deleteListBtn;




};

#endif



